commit:     56204685beaa524ee15f791ef996d06e9010454b
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 12:04:28 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 12:07:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56204685

net-misc/electron-cash: fix for qt5 disabled

Closes: https://bugs.gentoo.org/642344
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-misc/electron-cash/electron-cash-3.0.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/net-misc/electron-cash/electron-cash-3.0.ebuild 
b/net-misc/electron-cash/electron-cash-3.0.ebuild
index 74a0b17301d..742fcd67f94 100644
--- a/net-misc/electron-cash/electron-cash-3.0.ebuild
+++ b/net-misc/electron-cash/electron-cash-3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
@@ -68,7 +68,11 @@ src_prepare() {
        # Prevent icon from being installed in the wrong location
        sed -i '/icons/d' setup.py || die
 
-       pyrcc5 icons.qrc -o gui/qt/icons_rc.py || die
+       if use qt5; then
+               pyrcc5 icons.qrc -o gui/qt/icons_rc.py || die
+       else
+               sed "s|'electroncash_gui.qt',||" -i setup.py || die
+       fi
 
        local wordlist=
        for wordlist in  \

Reply via email to